Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class DefaultGroovyMethodsSupport.RangeInfo

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport.RangeInfo

    protected static class DefaultGroovyMethodsSupport.RangeInfo

Field Summary
`int` | `from`
`boolean` | `reverse`
`int` | `to`

Constructor Summary
`DefaultGroovyMethodsSupport.RangeInfo(int from, int to, boolean reverse)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### from

    public final int from

### reverse

    public final boolean reverse

### to

    public final int to

Constructor Detail

### DefaultGroovyMethodsSupport.RangeInfo

    public DefaultGroovyMethodsSupport.RangeInfo(int from, int to, boolean reverse)

Groovy Documentation